Skip to main content
Resource Center/Resource Pool/SSH Key Operations
PUTSSH Key OperationsSince 4.7.21SynchronousAuth Required

UpdateSshKeyPair

UpdateSshKeyPair

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatesshkeypairObjectRequired

    updatesshkeypair request body object.

    • nameString

      Optional. The resource name.

    • descriptionString

      Optional. Optional. The detailed description of the resource.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventorySshKeyPairInventoryRequired

    See inventory

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • publicKeyStringRequired

      No description provided.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/ssh-key-pair/{uuid}/actions

/zstack/v1/ssh-key-pair/{uuid}/actions

Operation ID

UpdateSshKeyPair

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/ssh-key-pair/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatesshkeypair":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "15565277de143faea29e6fcc571c4d1d", "name": "ssh-key-pair", "publicKey": "" } }

Change History

This API has no change history records yet.

View all change history